import { isString } from './is-string';

describe('is String', () => {
  it('should return true', () => {
    expect(isString('test')).toBeTruthy();
  });

  it('should return false when value is a number', () => {
    expect(isString(123)).toBeFalsy();
  });

  it('should return false when value is a Date', () => {
    expect(isString(new Date())).toBeFalsy();
  });

  it('should return false when value is an Array', () => {
    expect(isString([])).toBeFalsy();
  });

  it('should return false when value is an Object', () => {
    expect(isString({})).toBeFalsy();
  });

  it('should return false when value is a Function', () => {
    expect(isString(() => {})).toBeFalsy();
  });
});
